Last modified: 2013-12-26 16:29:46 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 34962 - Some parameters' descriptions are unclear (titles, pageids, revids)
Some parameters' descriptions are unclear (titles, pageids, revids)
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
ApiSandbox (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2012-03-04 18:40 UTC by MZMcBride
Modified: 2013-12-26 16:29 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MZMcBride 2012-03-04 18:40:01 UTC
When using the ApiSandbox with options such as json/query/prop=categories, you get inputs that look like this:

titles    [                    ]    A list of titles to work on
pageids   [                    ]    A list of page IDs to work on
revids    [                    ]    A list of revision IDs to work on

These three instructions don't mention what the separator is! I think it's most natural to assume that the values are comma-separated, but they're surely not. The default documentation should be updated to say something like... "A list of titles to work on, separated by '|'" or something.
Comment 1 db [inactive,noenotif] 2012-03-09 21:07:54 UTC
All multi values in the api are seperated by |.

For params with a list of possible values the sandbox generates a list.

For free text params like titles or tltemplates the api provides only one input field. Let the user build its one list, maybe by having a + and add a new input field and so on.
Comment 2 Umherirrender 2012-07-29 08:53:17 UTC
Commited Gerrit change #16909 for better description with action=help, but that does not help when looking with ApiSandbox.

(In reply to comment #1)
> For free text params like titles or tltemplates the api provides only one input
> field. Let the user build its one list, maybe by having a + and add a new input
> field and so on.

That sounds like a good way, because there are more params with have | as a separator.
Comment 3 Umherirrender 2012-07-31 19:31:18 UTC
Gerrit change #16909 is merged, so core is fixed, moving this bug to ApiSandbox, because the new added hints are not automatically shown in apisandbox.
Comment 4 Max Semenik 2013-12-25 21:34:15 UTC
Changed help doesn't mean changed paraminfo, moving back to core.
Comment 5 Brad Jorsch 2013-12-26 16:29:46 UTC
(In reply to comment #4)
> Changed help doesn't mean changed paraminfo, moving back to core.

Paraminfo already indicates which fields are multi-valued. If ApiSandbox needs to change its UI to indicate the API-standard separator character (or to provide some sort of multi-field input widget so end users don't have to care about the separator), that's an issue for ApiSandbox, not core.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links